import java.awt.*;
import java.awt.event.*;
import com.jxcell.View;
import com.jxcell.CellFormat;

import javax.swing.*;

public class Welcome extends JApplet {
    
    static View jBook1 = new View();
    public void Welcome1() {
    }

    //Initialize the applet
    public void init() {
        this.setSize(new Dimension(400,300));
        try {
            // Call the JXCell setText API to place text into a cell
            jBook1.setText(2, 0, "Welcome to JXCell");
            
            // Add a format to the cell
            CellFormat cellFormat;
            cellFormat = jBook1.getCellFormat();
            cellFormat.setFontSizeInPoints(16);
            cellFormat.setHorizontalAlignment(cellFormat.eHorizontalAlignmentCenterAcrossCells);
            cellFormat.setFontBold(true);
            cellFormat.setFontItalic(true);
//            cellFormat.setFontSize(210);
            jBook1.setCellFormat(cellFormat,2,0,2,6);
        } 
        catch (com.jxcell.CellException e) {
            // catch any exceptions in case something fails setting the text 
            System.out.println(e.getMessage()); 
        }
        this.getContentPane().add(jBook1, BorderLayout.CENTER);
    }

    public static void main(String args[]){
        // Create a JFrame to place our application in. 
        JFrame myFrame = new JFrame("Start from here!");

        myFrame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent event) {
                System.exit(0);
            }
        });

        // Create an instance of the Welcome class
        Welcome myApp = new Welcome();
        myFrame.getContentPane().add("Center", myApp);
        myApp.init();

        // Resize the JFrame to the desired size, and make it visible 
        myFrame.setSize(600,400);
        myFrame.show();

        // Run the methods the browser normally would
        myApp.start();
    }
}